/*
 * @Author: wangyang 1147192855@qq.com
 * @Date: 2022-07-14 18:16:06
 * @LastEditors: wangyang 1147192855@qq.com
 * @LastEditTime: 2022-08-01 16:17:33
 * @FilePath: \marking_app\lib\provider\user_provider.dart
 * @Description: APP更新下载进度条
 */

import 'package:hooks_riverpod/hooks_riverpod.dart';

final upgradeProvider = StateNotifierProvider<UpgradeProviderHandle, double>((ref) => UpgradeProviderHandle(0.0));

class UpgradeProviderHandle extends StateNotifier<double> {
  UpgradeProviderHandle(double progress) : super(progress);

  setVal(val){
    state = val;
  }

  void clean(){
    state = 0.0;
  }
}
